<!DOCTYPE html>
<html>
<head>
	<title></title>

<body>
	<p>Before the script...</p>
		
	<script>
		
		//let $=0,_="0";
		//alert('hello word');
		//alert($+_);
		///////////
		// let a=0;
		// alert(Boolean(a));
		// b="0";
		// alert(Boolean(b));
		// alert(a == b);
		////////////
		// let age = prompt('how old are you?',100);
		// alert(`You are ${age} year old`);
		/////////////
		// let isBoss = confirm("Are you the boss?");
		// alert(isBoss);

		let num = Math.floor((Math.random()*100)+1)
		num2=num; 
		   do{	
			   	num2 = prompt("input Number 1-100",num);	

			while(num2==num){
			   	if (num2>num) {
			   		num2 = prompt(`input Number 0 - ${num2} `,num);	   						   	
			   	}
			   	else if (num2<num) {
			   		num2 = prompt(`input Number ${num2} - 100`,num);	   						   	
			   	}
			}	

			}while(num2 != num);					
		    alert("ok");	
			

	</script>



	<p>...After the script.</p>


</body>
</html>